张贤健 安师大张贤健
张贤健的个人网站

Sublime无法使用package control安装插件

几个月过去了,我的总结就是:这个从官网上下,重新装,都是可以的。

我之前想通过安装sftp,但是出现了这个问题,百度了很久才解决.东西也是从网上找的,现总结下:

 

网上说什么安装个新的,我也是简直醉了,其实新的并不好使.

但是,我们最好安装个新的,再继续下面的操作!

错误代码:

Package Control:There are no packages available for installation

 

一  IPV6的问题

修改自己C:/windows/system32/driver/etc/hosts文件

  50.116.34.243    sublime.wbond.net

二  开启debug模式

  打开sublime,点击  Preference->Packge settings->packge control->settings - user

  添加代码:

"debug": true,

 

  

 

 

附上:简单package control的安装方法

 

使用Ctrl+`快捷键或者通过View->Show Console菜单打开命令行,粘贴如下代码

import urllib.request,os; pf = 'Package Control.sublime-package'; ipp = sublime.installed_packages_path(); 
urllib.request.install_opener( urllib.request.build_opener( urllib.request.ProxyHandler()) );
open(os.path.join(ipp, pf), 'wb').write(urllib.request.urlopen( 'http://sublime.wbond.net/' + pf.replace(' ','%20')).read())

  

 当然,这玩意我还是搞不懂。如果我的没用,也有很大可能。

 

几个月过去了,我的总结就是:这个从官网上下,重新装,都是可以的。

posted @ 2016-11-01 12:07  张贤健  阅读(8074)  评论(0编辑  收藏  举报